<template>
  <div class="common-main black-mobile" :class="currencyClass">
    <lobby-black-m-header
      :theme-properties="themeProperties"
      :auth="authentication"
      :include-announcement="true"
    />
    <div
      :class="{
        'h-100vh-113px overflow-auto overscroll-contain pb-14':
          dontUseInnerOverflowControl && except,
      }"
    >
      <banner-with-animation
        v-if="included"
        :actived-tab="activedTab"
      ></banner-with-animation>
      <slot :auth="authentication" :theme-properties="themeProperties" />
    </div>
    <div v-if="except">
      <lobby-black-m-footer :auth="authentication" />
    </div>
    <new-black-theme-agent-cooperation-dialog />
    <new-black-theme-register-dialog v-if="!isRegister"/>
    <new-black-theme-login-dialog />
    <new-black-theme-sidebar />
  </div>
</template>
<script lang="ts">
import _ from "lodash";
import { defineComponent, computed } from "vue";
import { store } from "@/store";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";

export default defineComponent({
  name: "App",
  setup() {
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const authentication = computed(() => store.state.auth);
    const isLoading = computed(() => store.state.isThemePropertyLoading);
    const route = useRoute();
    const array: Array<string> = [
      "bethistory",
      "deposit",
      "wallet",
      "account",
      "aboutus",
      "transaction-history",
      "withdrawal",
      "referral",
      "helpcenter",
    ];
    const isGameLoading = computed(() => store.state.isGameUpdateLoading);
    const tabSelected = computed(() =>
      _.replace(
        _.replace(route.path.split("/")[1], "-", ""),
        "/",
        ""
      ).toLowerCase()
    );
    const except = computed(() => !_.includes(array, tabSelected.value));
    const dontUseInnerOverflowControl = computed(
      () => !_.includes(["contactus"], tabSelected.value)
    );
    const announcement = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "announcement"
        )
    );
    const arrayRoute: Array<string> = [
      "home",
      "sports",
      "virtualsports",
      "livecasino",
      "keno",
      "cockfight",
      "lottery",
      "poker",
      "promotion",
    ];
    const activedTab = computed(() =>
      tabSelected.value !== "" ? tabSelected.value : "Home"
    );
    const included = computed(() =>
      _.includes(arrayRoute, _.toLower(activedTab.value))
    );
    const isRegister = computed(() => useRoute().name === 'register');
    const currencyClass = computed(() => store.state.currency);
    return {
      themeProperties,
      isLoading,
      authentication,
      isGameLoading,
      except,
      dontUseInnerOverflowControl,
      announcement,
      included,
      activedTab,
      isRegister,
      currencyClass,
    };
  },
});
</script>
<style lang="scss">
body {
  overflow: hidden;
}
@import "@/assets/styles/mobile/common.scss";
div[layout="light_flexible_desktop_1"]
  .swiper:not(:has(div.swiper-button-prev))
  .swiper-wrapper {
  justify-content: start;
}
.common-main {
  width: 100%;
  height: 100%;
  overflow: hidden;
  .text-tertiary {
    color: var(--tertiary);
  }
  .mb-\[12vw\] {
    height: calc(100vh - 53px);
    padding-bottom: 2.5rem;
    overflow: auto;
    background: var(--background2);
    margin-bottom: 0;
  }
  .tabs-statement.demo-tabs {
    background: var(--background1);
    & .el-tabs__nav-wrap {
      padding: 0;
      .el-tabs__nav-scroll {
        overflow: auto;
      }
      & .el-tabs__nav {
        width: 100%;
      }
      & .el-tabs__active-bar {
        width: 25%;
        background-color: var(--selected);
      }
      & .el-tabs__item.is-active {
        color: var(--selected);
      }
      & .el-tabs__item {
        width: 25%;
        text-align: center;
        padding-left: 14px !important;
        padding-right: 14px !important;
      }
    }
  }
  .demo-tabs {
    background: var(--background1);
    & .el-tabs__nav-wrap {
      padding: 0;

      & .el-tabs__nav {
        width: 100%;
      }
      & .el-tabs__active-bar {
        width: 50%;
        background-color: var(--secondary);
      }
      & .el-tabs__item.is-active {
        color: var(--secondary);
      }
      & .el-tabs__item {
        width: 50%;
        text-align: center;
        padding-left: 14px !important;
        padding-right: 14px !important;
      }
    }
  }
  .flex.flex-col.p-5.space-y-2.bg-background2 {
    height: calc(100vh - 52px);
    background: var(--background1);
    .balance-box {
      border: 1px solid var(--border);
      h2 {
        color: var(--secondary);
        line-height: 33px;
        font-weight: 700;
        font-size: 28px;
      }
    }
    button.wallet-deposit-btn.el-button {
      width: 35%;
      height: 40px;
      background-color: var(--primary);
      border: none;
      margin-left: 0;
    }
    .el-button span {
      @apply text-xs font-bold leading-[14px];
      color: var(--textBtn);
    }
    button.wallet-withdrawal-btn.el-button {
      width: 65%;
      height: 40px;
      background-color: var(--primary);
      border: none;
      margin-left: 8px;
      span {
        overflow: hidden;
        text-overflow: ellipsis;
        display: block;
      }
    }
  }
  .fixed-header {
    // position: unset;
    .el-tabs.el-tabs--top {
      & .el-tabs__nav-wrap {
        padding: 0;

        & .el-tabs__nav {
          width: 100%;
        }
        & .el-tabs__active-bar {
          width: 33.3333%;
          background-color: var(--secondary);
        }
        & .el-tabs__item.is-active {
          color: var(--secondary);
        }
        & .el-tabs__item {
          width: 33.3333%;
          text-align: center;
          padding-left: 14px !important;
          padding-right: 14px !important;
        }
      }
    }
  }
  .overflow-auto.mt-\[48px\] {
    height: calc(100vh - 90px);
    overflow: auto;
  }

  .payment-bank-menu {
    color: var(--text);
    border-bottom: 2px solid transparent;
  }
  .payment-bank-menu.selected-tab {
    color: var(--secondary);
    font-weight: 500;
    border-color: var(--secondary);
  }
  .divider-y.mb-\[12vw\] {
    height: calc(100vh - 53px);
    padding-bottom: 6.8rem;
    overflow: auto;
    background: var(--background2);
    margin-bottom: 0;
    .px-5.py-6.space-y-4 {
      background: var(--background2);
    }
    & h5 {
      color: var(--hint);
    }
    .el-radio-button {
      --el-radio-button-checked-border-color: var(--primary);
      --el-radio-button-checked-bg-color: rgb(0, 0, 0, 0);
      --el-radio-button-checked-text-color: var(--text);
      margin-right: 0;
      height: 100%;
      min-height: 32px;

      .check-img {
        height: 18px !important;
      }
      &.is-active {
        & .el-radio-button__inner {
          @apply w-full text-center p-0 h-full min-h-[32px] pl-0 inline-flex items-center justify-center leading-[14px] text-xs font-bold;
          box-shadow: none !important;
          border: var(--secondary) solid 2px;
          white-space: break-spaces;
          color: var(--secondary);
        }
      }
      & .el-radio-button__inner {
        @apply w-full text-center p-0 h-full min-h-[32px] pl-0 inline-flex items-center justify-center leading-[14px] text-xs font-bold;
        box-shadow: none !important;
        border: var(--border) solid 2px;
        white-space: break-spaces;
        color: var(--text);
        & img {
          height: 100%;
        }
      }
      & .el-radio-button__inner::before {
        background: var(--secondary) !important;
      }
      .el-radio-button__original-radio:checked + .el-radio-button__inner,
      &:first-child
        .el-radio-button__original-radio:checked
        + .el-radio-button__inner {
        border-color: var(--secondary);
      }
    }
    .slip-card {
      width: 100%;
      height: 132px;

      /* KR Theme/Background1 */

      background: var(--background1);
      /* KR Theme/Border */

      border: 1px dashed #4d5080;
      border-radius: 8px;
    }
    .slip-card button.el-button {
      width: 152px;
      height: 40px;
    }
  }
  .el-button.el-button--primary.is-round {
    width: fit-content;
    height: 40px;
    span {
      font-size: 14px;
      font-weight: 700;
    }
  }
  .el-input__inner {
    height: 48px !important;
    border-radius: 8px;
  }
  &.VND,
  &.IDR {
    .el-input-group--append {
      .el-input__inner {
        border-top-right-radius: unset;
        border-bottom-right-radius: unset;
      }
      .el-input-group__append {
        border-top-right-radius: 8px;
        border-bottom-right-radius: 8px;
      }
    }
  }
  .grid.grid-cols-3 {
    .el-radio-button {
      --el-radio-button-checked-border-color: var(--primary);
      --el-radio-button-checked-bg-color: rgb(0, 0, 0, 0);
      --el-radio-button-checked-text-color: var(--text);
      margin-right: 0;
      height: 100%;
      min-height: 32px;
      border-radius: 4px;
      &.is-active {
        & .el-radio-button__inner {
          @apply rounded-lg w-full text-center p-0 h-full min-h-[32px] pl-0 inline-flex items-center justify-center leading-[14px] text-xs font-bold;
          box-shadow: none !important;
          border: var(--secondary) solid 1px;
          white-space: break-spaces;
          color: var(--secondary);
        }
      }
      & .el-radio-button__inner {
        @apply rounded-lg w-full text-center p-0 h-full min-h-[32px] pl-0 inline-flex items-center justify-center leading-[14px] text-xs font-bold;
        box-shadow: none !important;
        border: var(--border) solid 1px;
        white-space: break-spaces;
        color: var(--text);
      }
      & .el-radio-button__inner::before {
        background: var(--secondary) !important;
      }
      .el-radio-button__original-radio:checked + .el-radio-button__inner,
      &:first-child
        .el-radio-button__original-radio:checked
        + .el-radio-button__inner {
        border-color: var(--secondary);
      }
    }
  }
  .mx-auto.px-5.bg-1 {
    margin-right: 0;
    margin-left: 0;
    background: var(--background2);
    padding: 0;
    .demo-tabs {
      & .el-tabs__nav-wrap {
        padding: 0;
        .el-tabs__nav-scroll {
          overflow: auto;
        }
        & .el-tabs__nav {
          width: 100%;
        }
        & .el-tabs__active-bar {
          width: 25%;
          background-color: var(--secondary);
        }
        & .el-tabs__item.is-active {
          color: var(--secondary);
        }
        & .el-tabs__item {
          min-width: 92px;
          text-align: center;
          padding-left: 14px !important;
          padding-right: 14px !important;
        }
      }
    }
    & .flex-auto {
      padding-left: 20px;
      padding-right: 20px;
      height: calc(100vh - 106px);
      padding-bottom: 5rem;
      overflow: auto;
      .el-card.is-always-shadow {
        background: var(--background1);
        border-radius: 8px;
        button.el-button {
          min-width: 78px;
          height: 30px;
        }
      }
    }
  }
  .flex.flex-col.bg-background2 {
    .el-tabs__header {
      .el-tabs__item.is-active {
        color: var(--secondary);
      }
      .el-tabs__active-bar {
        background-color: var(--secondary);
      }
    }
    .el-tabs__content {
      margin-top: 35px;
      padding-top: 0.75rem;
      overflow: auto;
      height: calc(100vh - 87px);
      padding-bottom: 6rem;
      .setting-tab {
        position: unset;
      }
      .el-radio__input.is-checked .el-radio__inner {
        border-color: var(--hint);
        background: var(--hint);
      }
      .el-radio__input.is-checked + .el-radio__label {
        color: var(--hint);
      }
    }
  }
}
.black-mobile {
  .el-carousel__button {
    width: 10px;
    height: 4px;
    border-radius: 2px;
  }
  .el-carousel__indicator.is-active {
    .el-carousel__button {
      background: var(--primary);
    }
  }
}
</style>
<style scoped>
:deep(.el-collapse-item__wrap),
:deep(.el-collapse-item__header) {
  border-bottom: unset;
}
:deep(.el-icon.el-collapse-item__arrow) {
  display: none;
}
:deep(.el-input__suffix) {
  color: var(--secondary);
}
:deep(.app-header-bg) {
  --bg-opacity: 1;
  background: rgba(11, 14, 48, var(--bg-opacity));
}
:deep(.app-footer-bg) {
  --bg-opacity: 1;
  background: rgba(11, 14, 48, var(--bg-opacity));
}
:deep(.app-bg) {
  --bg-opacity: 1;
  background-color: rgba(5, 7, 30, var(--bg-opacity));
}
.h-100vh-113px {
  height: calc(100vh - 113px);
  height: calc(100svh - 113px);
}
</style>
